    align 2

MenuOptionGfx:    
    .word MainMenuGraphicsRAM + Quadrant - MainMenuGraphicsROM
    .word MainMenuGraphicsRAM + Sector - MainMenuGraphicsROM
    .word MainMenuGraphicsRAM + Level - MainMenuGraphicsROM
    .word MainMenuGraphicsRAM + TVtype - MainMenuGraphicsROM
    .word MainMenuGraphicsRAM + StartOption - MainMenuGraphicsROM
    .word MainMenuGraphicsRAM + Last - MainMenuGraphicsROM
    .word MainMenuGraphicsRAM + High - MainMenuGraphicsROM
    
; put stations and explosions first in ImageGraphics: so we can limit
; the size of ImageShift:
ImageGraphics:
        .word StationHorizontal
        .word StationVertical
        .word Points_200
        .word Points_400
        .word Points_800
        .word Points_1500       ; E-Type Formation Bonus
        .word Points_500        ; I-Type Formation Bonus
        .word Points_1000       ; P-Type Formation Bonus
        .word GameOver
        .word Explosion_Player0
        .word Explosion_Player1
        .word Explosion_Player2
        .word Explosion_Player3
        .word Explosion_Mine0
        .word Explosion_Mine1   ; NOTE Explosion_Station0 MUST FOLLOW
        .word Explosion_Mine2   ;      due to explosion color logic
; ------------------------------- images above use HMOVE shifting  
        .word Explosion_Station0
        .word Explosion_Station1
        .word Explosion_Station2
        .word Explosion_EnemyShip0
        .word Explosion_EnemyShip1
        .word Explosion_EnemyShip2
        .word Explosion_AsteroidPod0
        .word Explosion_AsteroidPod1
        .word Explosion_AsteroidPod2
        .word AsteroidA
        .word AsteroidB
        .word AsteroidC
        .word Mine
        .word Ship0
        .word Ship1
        .word Ship2
        .word Ship3
        .word Ship4
        .word Ship5
        .word Ship6
        .word Ship7
        .word EType0
        .word EType1
        .word EType2
        .word EType3
        .word EType4
        .word EType5
        .word EType6
        .word EType7
        .word EType8
        .word EType9
        .word EType10
        .word EType11
        .word EType12
        .word EType13
        .word EType14
        .word EType15
        .word IType0
        .word IType1
        .word IType2
        .word IType3
        .word IType4
        .word IType5
        .word IType6
        .word IType7
        .word IType8
        .word IType9
        .word IType10
        .word IType11
        .word IType12
        .word IType13
        .word IType14
        .word IType15
        .word PType0
        .word PType1
        .word PType2
        .word PType3
        .word PType4
        .word PType5
        .word PType6
        .word PType7
        .word PType8
        .word PType9
        .word PType10
        .word PType11
        .word PType12
        .word PType13
        .word PType14
        .word PType15
        .word Spy0
        .word Spy1
        .word Spy2
        .word Spy3
        .word Spy4
        .word Spy5
        .word Spy6
        .word Spy7
        .word Spy8
        .word Spy9
        .word Spy10
        .word Spy11
        .word Spy12
        .word Spy13
        .word Spy14
        .word Spy15
        .word Pod
        .word FormationLine
        .word FormationArrow
        .word FormationSquare
        .word FormationDiamond
;        .word TestImage
        .word ShotHorizontal 
        .word ShotDiagonal_TLBR         ; \
        .word ShotDiagonal_TRBL         ; /
        .word ShotVertical   
        .word ShotStation0              ; animated
        .word ShotStation1
        .word ShotStation2
        .word ShotStation3
        .word EnergyPod_Horizontal     ; animated
        .word EnergyPod_Horizontal
        .word EnergyPod_Horizontal
        .word EnergyPod_Horizontal
        .word EnergyPod_Vertical       ; animated
        .word EnergyPod_Vertical
        .word EnergyPod_Vertical
        .word EnergyPod_Vertical
        .word EnergyPod_Horizontal      ; used for collision detection
        .word EnergyPod_Vertical        ; used for collision detection
        .word HorizontalPod0            ; xor data for destroyed pods
        .word HorizontalPod1
        .word HorizontalPod2
        .word HorizontalPod3
        .word HorizontalPod4
        .word HorizontalPod5
        .word VerticalPod0
        .word VerticalPod1
        .word VerticalPod2
        .word VerticalPod3
        .word VerticalPod4
        .word VerticalPod5
        
ImageShift:
        .word StationHorizontal_Shift
        .word StationVertical_Shift
        .word Points_Shift + 3  ; 200
        .word Points_Shift + 3  ; 400
        .word Points_Shift + 3  ; 800
        .word Points_Shift      ; 1500  E-Type Formation Bonus
        .word Points_Shift + 3  ; 500   I-Type Formation Bonus
        .word Points_Shift      ; 1000  P-Type Formation Bonus
        .word GameOver_Shift
        .word Shift_Explosion_Player0
        .word Shift_Explosion_Player1
        .word Shift_Explosion_Player2
        .word Shift_Explosion_Player3
        .word Shift_Explosion_Mine0
        .word Shift_Explosion_Mine1
        .word Shift_Explosion_Mine2
        
; these are graphics drawn using the ball or missile        
MissileGraphics:            
        .word [MG_ShotHorizontal        & $fff] + $7000
        .word [MG_ShotDiagonal_TLBR     & $fff] + $7000     ; \ Top-Left to Bottom-Right
        .word [MG_ShotDiagonal_TRBL     & $fff] + $7000     ; / Top-Right to Bottom-Left
        .word [MG_ShotVertical          & $fff] + $7000
        .word [MG_ShotStation0          & $fff] + $7000          ; animated
        .word [MG_ShotStation1          & $fff] + $7000
        .word [MG_ShotStation2          & $fff] + $7000
        .word [MG_ShotStation3          & $fff] + $7000
        .word [MG_EnergyPod_Horizontal0 & $fff] + $7000  ; animated
        .word [MG_EnergyPod_Horizontal1 & $fff] + $7000
        .word [MG_EnergyPod_Horizontal2 & $fff] + $7000
        .word [MG_EnergyPod_Horizontal3 & $fff] + $7000
        .word [MG_EnergyPod_Vertical0   & $fff] + $7000    ; animated
        .word [MG_EnergyPod_Vertical1   & $fff] + $7000
        .word [MG_EnergyPod_Vertical2   & $fff] + $7000
        .word [MG_EnergyPod_Vertical3   & $fff] + $7000
        
ImageHeights:
StationHorizontalID = * - ImageHeights
        .byte StationHorizontalHeight
StationVerticalID = * - ImageHeights
        .byte StationVerticalHeight
Points200ID = * - ImageHeights
        .byte 11
Points400ID = * - ImageHeights
        .byte 11
Points800ID = * - ImageHeights
        .byte 11
Points1500ID = * - ImageHeights
        .byte 14    ; E-Type Formation Bonus
Points500ID = * - ImageHeights
        .byte 11    ; I-Type Formation Bonus
Points1000ID = * - ImageHeights
        .byte 14    ; P-Type Formation Bonus
GameOverID = * - ImageHeights
        .byte 28
ExplosionPlayerID = * - ImageHeights        
        .byte $1e ;Explosion_Player0Height
        .byte $1e ;Explosion_Player1Height
        .byte $1e ;Explosion_Player2Height
        .byte $1e ;Explosion_Player3Height
ExplosionMineID = * - ImageHeights        
        .byte $1f ;Explosion_Mine0Height
        .byte $1f ;Explosion_Mine1Height
        .byte $1f ;Explosion_Mine2Height  
ShiftingSprites = * - ImageHeights - 1

ExplosionStationID = * - ImageHeights
        .byte $1f ;Explosion_Station0Height
        .byte $1f ;Explosion_Station1Height
        .byte $20 ;Explosion_Station2Height
ExplosionEnemyShipID = * - ImageHeights        
        .byte $0e ;Explosion_EnemyShip0Height
        .byte $0f ;Explosion_EnemyShip1Height
        .byte $10 ;Explosion_EnemyShip2Height
ExplosionAsteroidPodID = * - ImageHeights        
        .byte $10 ;Explosion_AsteroidPod0Height
        .byte $10 ;Explosion_AsteroidPod1Height
        .byte $10 ;Explosion_AsteroidPod2Height
AsteroidID = * - ImageHeights
        .byte $c ;AsteroidAHeight
        .byte $d ;AsteroidBHeight
        .byte $d ;AsteroidCHeight
MineID = * - ImageHeights        
        .byte $f ;MineHeight
ShipID = * - ImageHeights
        .byte $10 ;Ship0Height
        .byte $11 ;Ship1Height
        .byte $0f ;Ship2Height
        .byte $0f ;Ship3Height
        .byte $10 ;Ship4Height
        .byte $0f ;Ship5Height
        .byte $0f ;Ship6Height
        .byte $10 ;Ship7Height
ETypeID = * - ImageHeights
        .byte $10 ;EType0Height
        .byte $10 ;EType1Height
        .byte $0e ;EType2Height
        .byte $0e ;EType3Height
        .byte $0c ;EType4Height
        .byte $0c ;EType5Height
        .byte $0e ;EType6Height
        .byte $0f ;EType7Height
        .byte $10 ;EType8Height
        .byte $0f ;EType9Height
        .byte $0e ;EType10Height
        .byte $0c ;EType11Height
        .byte $0c ;EType12Height
        .byte $0e ;EType13Height
        .byte $0e ;EType14Height
        .byte $10 ;EType15Height
ITypeID = * - ImageHeights
        .byte $10 ;IType0Height
        .byte $0f ;IType1Height
        .byte $0f ;IType2Height
        .byte $0f ;IType3Height
        .byte $0f ;IType4Height
        .byte $0e ;IType5Height
        .byte $0f ;IType6Height
        .byte $10 ;IType7Height
        .byte $10 ;IType8Height
        .byte $10 ;IType9Height
        .byte $0f ;IType10Height
        .byte $0e ;IType11Height
        .byte $0f ;IType12Height
        .byte $0f ;IType13Height
        .byte $0f ;IType14Height
        .byte $0f ;IType15Height
PTypeID = * - ImageHeights
        .byte $0d ;PType0Height
        .byte $0f ;PType1Height
        .byte $10 ;PType2Height
        .byte $0f ;PType3Height
        .byte $0f ;PType4Height
        .byte $0e ;PType5Height
        .byte $0e ;PType6Height
        .byte $0f ;PType7Height
        .byte $10 ;PType8Height
        .byte $0f ;PType9Height
        .byte $0e ;PType10Height
        .byte $0e ;PType11Height
        .byte $0f ;PType12Height
        .byte $0f ;PType13Height
        .byte $10 ;PType14Height
        .byte $0f ;PType15Height
SpyID = * - ImageHeights
        .byte $10 ;Spy0Height
        .byte $10 ;Spy1Height
        .byte $10 ;Spy2Height
        .byte $10 ;Spy3Height
        .byte $0f ;Spy4Height
        .byte $0e ;Spy5Height
        .byte $0e ;Spy6Height
        .byte $10 ;Spy7Height
        .byte $10 ;Spy8Height
        .byte $10 ;Spy9Height
        .byte $0e ;Spy10Height
        .byte $0e ;Spy11Height
        .byte $0f ;Spy12Height
        .byte $10 ;Spy13Height
        .byte $10 ;Spy14Height
        .byte $10 ;Spy15Height
PodID = * - ImageHeights
        .byte $0f ;PodHeight
FormationID = * - ImageHeights
        .byte $b ;FormationLineHeight
        .byte $5 ;FormationArrowHeight
        .byte $8 ;FormationSquareHeight
        .byte $8 ;FormationDiamondHeight  
; TestID = * - ImageHeights        
        ; .byte TestImageHeight
FirstMissileGraphicID = * - ImageHeights        
ShotHorizontalID = * - ImageHeights
        .byte $2 ;ShotHorizontalHeight
ShotDiagonal_TLBRID = * - ImageHeights
        .byte $4 ;ShotDiagonal_TLBRHeight
ShotDiagonal_TRBLID = * - ImageHeights
        .byte $4 ;ShotDiagonal_TRBLHeight
ShotVerticalID = * - ImageHeights
        .byte $6 ;ShotVerticalHeight
ShotStationID = * - ImageHeights
        .byte $3 ;ShotStation0Height
        .byte $4 ;ShotStation1Height
        .byte $4 ;ShotStation2Height
        .byte $4 ;ShotStation3Height     
EnergyPodHorizontalID = * - ImageHeights        
        .byte $7 ;EnergyPod_Horizontal0Height
        .byte $7 ;EnergyPod_Horizontal1Height
        .byte $7 ;EnergyPod_Horizontal2Height
        .byte $7 ;EnergyPod_Horizontal3Height
EnergyPodVerticalID = * - ImageHeights        
        .byte $d ;EnergyPod_Vertical0Height
        .byte $d ;EnergyPod_Vertical1Height
        .byte $d ;EnergyPod_Vertical2Height
        .byte $d ;EnergyPod_Vertical3Height
EnergyPodHorizontalCollisionID = * - ImageHeights
        .byte $7 ;EnergyPod_HorizontalHeight
EnergyPod_VerticalCollisionID = * - ImageHeights
        .byte $d ; EnergyPod_VerticalHeight
HorizontalPodID = * - ImageHeights
        .byte $0b ;HorizontalPod0Height
        .byte $10 ;HorizontalPod1Height
        .byte $10 ;HorizontalPod2Height
        .byte $0c ;HorizontalPod3Height
        .byte $11 ;HorizontalPod4Height
        .byte $10 ;HorizontalPod5Height
VerticalPodID = * - ImageHeights 
        .byte $10 ;VerticalPod0Height
        .byte $11 ;VerticalPod1Height
        .byte $17 ;VerticalPod2Height
        .byte $10 ;VerticalPod3Height
        .byte $10 ;VerticalPod4Height
        .byte $17 ;VerticalPod5Height
        
SplashScreenGraphicsROM:
        .byte %11111000,%11111111,%11111111,%11111111,%11111111,%11111111
        .byte %11110000,%01111111,%11111111,%11111111,%11111111,%11111111
        .byte %11100111,%00111111,%11111111,%11111111,%11111111,%11111111
        .byte %11001111,%10011111,%11111111,%11111111,%11111111,%11111111
        .byte %11011000,%11011111,%11111111,%11111111,%11111111,%11111111
        .byte %10010010,%01001111,%01111111,%11111110,%11101111,%11111111
        .byte %10110010,%01101111,%01111111,%11111110,%11101111,%11111111
        .byte %10100111,%00101111,%01110111,%11111111,%11101111,%11111111
        .byte %00100101,%00100110,%00110111,%00111111,%11000111,%00111001
        .byte %01100101,%00110110,%10100010,%00110100,%11010111,%00010000
        .byte %01001101,%10010110,%10110110,%11010000,%11010110,%11010110
        .byte %01001010,%10010110,%10110111,%11010010,%11010110,%11010110
        .byte %01001010,%10010110,%10110111,%00010110,%11010110,%11010000
        .byte %01000111,%00010100,%00010110,%00010110,%10000010,%11010000
        .byte %01000101,%00010100,%00010110,%11010110,%10000010,%10010111
        .byte %01100101,%00110101,%11010110,%11010110,%10111010,%00010110
        .byte %00101101,%10100101,%11010010,%00000110,%10111011,%01010000
        .byte %10101000,%10101101,%11011011,%00100110,%10111011,%11011001
        .byte %10111000,%11101111,%11111111,%11111111,%11111111,%11011111
        .byte %10010000,%01001111,%11111111,%11111111,%11111110,%10011111
        .byte %11011000,%11011111,%11111111,%11111111,%11111110,%00111111
        .byte %11001111,%10011111,%11111111,%11111111,%11111111,%01111111
        .byte %11100111,%00111111,%11111111,%11111111,%11111111,%11111111
        .byte %11110000,%01111111,%11111111,%11111111,%11111111,%11111111
        .byte %11111000,%11111111,%11111111,%11111111,%11111111,%11111111
SplashScreenGraphicsSize = * - SplashScreenGraphicsROM
  
MainMenuGraphicsROM:    

MainMenuOptions:        
DraconianLogo:
        .byte %00011100,%01111101,%11110111,%01110110,%01001110,%11101100 ; 0
        .byte %00001100,%00111101,%11110111,%01110110,%01001110,%11101100 ; 1
        .byte %00000100,%00011000,%11100010,%00110010,%01001100,%01100100 ; 2
        .byte %00000100,%00011000,%11100010,%00110010,%01001100,%01100100 ; 3
        .byte %00100100,%10011000,%11100010,%00110010,%01001100,%01100100 ; 4
        .byte %00100100,%10011000,%11000100,%00010000,%01001100,%01100000 ; 5
        .byte %00100100,%10011000,%11000100,%00010000,%01001100,%01100000 ; 6
        .byte %00100100,%00110010,%01001100,%10010000,%01001001,%00100000 ; 7
        .byte %00100100,%00110010,%01001100,%10010000,%01001001,%00100000 ; 8
        .byte %00100100,%00110010,%01001100,%10010000,%01001001,%00100000 ; 9
        .byte %00100100,%10010010,%01001100,%10010010,%01001001,%00100100 ; 10
        .byte %00100100,%10010010,%01001100,%10010010,%01001001,%00100100 ; 11
        .byte %00100100,%10010010,%01001100,%10010010,%01001001,%00100100 ; 12
        .byte %00100100,%10010000,%01001100,%10010010,%01000000,%00100100 ; 13
        .byte %00100100,%10010000,%01001100,%10010010,%01000000,%00100100 ; 14
        .byte %00100100,%10010000,%01001100,%10010010,%01000000,%00100100 ; 15
        .byte %00100100,%10010010,%01001100,%10010010,%01001001,%00100100 ; 16
        .byte %00100100,%10010010,%01000100,%00010010,%01001001,%00100100 ; 17
        .byte %00100100,%10010010,%01000100,%00010010,%01001001,%00100100 ; 18
        .byte %00001100,%10010010,%01100010,%00110010,%01001001,%00100100 ; 19
        .byte %00001100,%10010010,%01100010,%00110010,%01001001,%00100100 ; 20
        .byte %00001100,%10010010,%01110011,%01110010,%01001001,%00100100 ; 21
        .byte %00001100,%10010010,%01110111,%01110010,%01001001,%00100100 ; 22
        .byte %00011100,%11111111,%11111111,%11111111,%11111111,%11100100 ; 23
        .byte %00011100,%11111111,%11111111,%11111111,%11111111,%11100100 ; 24
        .byte %00011101,%11111111,%11111111,%01111111,%11111111,%11110100 ; 25
        .byte %00111101,%11111111,%11111110,%00111111,%11111111,%11111100 ; 26
        .byte %00111111,%11111111,%11111110,%00111111,%11111111,%11111100 ; 27
        .byte %00111111,%11111111,%11111110,%01111111,%11111111,%11111100 ; 28
        .byte %00111111,%11111111,%11110100,%10010111,%11111111,%11111100 ; 29
        .byte %01111111,%11111111,%11100011,%01100011,%11111111,%11111110 ; 30
        .byte %01111111,%11111111,%11100011,%11100011,%11111111,%11111110 ; 31
        .byte %01111111,%11111111,%11100111,%11100111,%11111111,%11111110 ; 32
        .byte %01111111,%11111111,%11101001,%01001011,%11111111,%11111110 ; 33
        .byte %11111111,%11111111,%11110110,%00110111,%11111111,%11111111 ; 34
        .byte %11111111,%11111111,%11111110,%00111111,%11111111,%11111111 ; 35
        .byte %11111111,%11111111,%11111110,%01111111,%11111111,%11111111 ; 36
        .byte %11111111,%11111111,%11110110,%10110111,%11111111,%11111111 ; 37
        .byte %11111111,%11111111,%11100001,%01000011,%11111111,%11111111 ; 38
        .byte %11111111,%11111111,%11100011,%11100011,%11111111,%11111111 ; 39
        .byte %11111111,%11111111,%11100111,%11100111,%11111111,%11111111 ; 40
        .byte %11111111,%11111111,%11101011,%01101011,%11111111,%11111111 ; 41
        .byte %11111111,%11111111,%11110100,%00010111,%11111111,%11111111 ; 42
        .byte %11111111,%11111111,%11111110,%00111111,%11111111,%11111111 ; 43
        .byte %11111111,%11111111,%11111110,%01111111,%11111111,%11111111 ; 44
        .byte %11111111,%11111111,%11111110,%10111111,%11111111,%11111111 ; 45
        .byte %11111111,%11111111,%11111111,%01111111,%11111111,%11111111 ; 46
        
Quadrant:
        .byte %10110101,%10110011,%00111011,%00110001,%11111111,%11111011
        .byte %01010101,%01010101,%01010101,%01011011,%11111111,%11110101
        .byte %01010101,%01010101,%01010101,%01011011,%11111111,%11101110
        .byte %01010101,%00010101,%00110001,%01011011,%11111111,%11100000
        .byte %01010101,%01010101,%01010101,%01011011,%11111111,%11101110
        .byte %01010101,%01010101,%01010101,%01011011,%11111111,%11101110
        .byte %10110101,%01010101,%01010101,%01011011,%11111111,%11101110
        .byte %11011001,%01010011,%01010101,%01011011,%11111111,%11101110
         
Sector:
        .byte %10010001,%10110001,%10110011,%11111111,%11111111,%11111111
        .byte %01110111,%01011011,%01010101,%11111111,%11111111,%11111111
        .byte %01110111,%01111011,%01010101,%11111111,%11111111,%11111111
        .byte %10110011,%01111011,%01010011,%11111111,%11111111,%11111111
        .byte %11010111,%01111011,%01010101,%11111111,%11111111,%11111111
        .byte %11010111,%01111011,%01010101,%11111111,%11111111,%11111111
        .byte %11010111,%01011011,%01010101,%11111111,%11111111,%11111111
        .byte %00110001,%10111011,%10110101,%11111111,%11111111,%11111111
        
Level:
        .byte %01110001,%01010001,%01111111,%11111111,%10101000,%10011100
        .byte %01110111,%01010111,%01111111,%11111111,%10101101,%10101011
        .byte %01110111,%01010111,%01111111,%11111111,%10101101,%10101011
        .byte %01110011,%01010011,%01111111,%11111111,%10011101,%10101101
        .byte %01110111,%01010111,%01111111,%11111111,%10101101,%10101110
        .byte %01110111,%01010111,%01111111,%11111111,%10101101,%10101110
        .byte %01110111,%10110111,%01111111,%11111111,%10101101,%10101110
        .byte %00010001,%10110001,%00011111,%11111111,%10101000,%10011001
                
TVtype:
        .byte %00010101,%11000101,%01001100,%01111111,%10011000,%11001101
        .byte %10110101,%11101101,%01010101,%11111111,%10101101,%10111010
        .byte %10110101,%11101101,%01010101,%11111111,%10101101,%10111011
        .byte %10110101,%11101110,%11001100,%11111111,%10101101,%11011011
        .byte %10110101,%01101110,%11011101,%11111111,%10101101,%11101011
        .byte %10110101,%11101110,%11011101,%11111111,%10101101,%11101011
        .byte %10111011,%11101110,%11011101,%11111111,%10101101,%11101010
        .byte %10111011,%11101110,%11011100,%01111111,%10101101,%10011101        
        
StartOption:
        .byte %11111111,%11100001,%00000110,%00110000,%11000001,%11111111
        .byte %11111111,%11011111,%11011101,%11010111,%01110111,%11111111
        .byte %11111111,%11011111,%11011101,%11010111,%01110111,%11111111
        .byte %11111111,%11100011,%11011100,%00010000,%11110111,%11111111
        .byte %11111111,%11111101,%11011101,%11010111,%01110111,%11111111
        .byte %11111111,%11111101,%11011101,%11010111,%01110111,%11111111
        .byte %11111111,%11111101,%11011101,%11010111,%01110111,%11111111
        .byte %11111111,%11000011,%11011101,%11010111,%01110111,%11111111
        
Last:
        .byte %01111011,%10010001,%11111111,%11111111,%11111111,%11111111
        .byte %01110101,%01111011,%11111111,%11111111,%11111111,%11111111
        .byte %01110101,%01111011,%11111111,%11111111,%11111111,%11111111
        .byte %01110001,%10111011,%11111111,%11111111,%11111111,%11111111
        .byte %01110101,%11011011,%11111111,%11111111,%11111111,%11111111
        .byte %01110101,%11011011,%11111111,%11111111,%11111111,%11111111
        .byte %01110101,%11011011,%11111111,%11111111,%11111111,%11111111
        .byte %00010101,%00111011,%11111111,%11111111,%11111111,%11111111
        
High:
        .byte %01010001,%10010101,%11111111,%11111111,%11111111,%11111111
        .byte %01011011,%01110101,%11111111,%11111111,%11111111,%11111111
        .byte %01011011,%01110101,%11111111,%11111111,%11111111,%11111111
        .byte %00011011,%01010001,%11111111,%11111111,%11111111,%11111111
        .byte %01011011,%01010101,%11111111,%11111111,%11111111,%11111111
        .byte %01011011,%01010101,%11111111,%11111111,%11111111,%11111111
        .byte %01011011,%01010101,%11111111,%11111111,%11111111,%11111111
        .byte %01010001,%10110101,%11111111,%11111111,%11111111,%11111111        
        
SpiceWareLogo:
        .byte %00001111,%11111111,%11111111,%11000001,%11111111,%11111111
        .byte %00010000,%00000000,%00000000,%01000001,%00000000,%00000000
        .byte %00010000,%00011001,%00100111,%01100011,%00100110,%01110000
        .byte %00010000,%00010101,%01010100,%00101010,%01010101,%01000000
        .byte %00001111,%10010101,%01000100,%00101010,%01010101,%01000000
        .byte %00000000,%01011001,%01000110,%00111110,%01110110,%01100000
        .byte %00000000,%01010001,%01000100,%00010100,%01010101,%01000000
        .byte %00000000,%01010001,%01010100,%00010100,%01010101,%01000000
        .byte %11111111,%10010001,%00100111,%00010100,%01010101,%01110000
        
MenuControl:
        .byte %00110000     ; PF0
        .byte %00000000     ; PF1
        .byte %11000000     ; PF2
        .byte 0             ; ball X location
        .byte 47            ; rows
        .byte MM_TITLE_GAP  ; extra scanlines
MENU_FIRST_OPTION_ID = (* - MenuControl) / 6                
MENU_QUADRANT_ID = (* - MenuControl) / 6
        .byte %11000000     ; PF0
        .byte %11000000     ; PF1
        .byte %00000000     ; PF2
        .byte 0             ; ball X location
        .byte 8             ; rows
        .byte MM_OPTION_GAP ; extra scanlines
        
MENU_SECTOR_ID = (* - MenuControl) / 6
        .byte %11110000     ; PF0
        .byte %11000000     ; PF1
        .byte %00000000     ; PF2
        .byte 0             ; ball X location
        .byte 8             ; rows
        .byte MM_OPTION_GAP ; extra scanlines
        
MENU_LEVEL_ID = (* - MenuControl) / 6
        .byte %11110000     ; PF0
        .byte %11000000     ; PF1
        .byte %10000000     ; PF2
        .byte 0             ; ball X location
        .byte 8             ; rows
        .byte MM_OPTION_GAP ; extra scanlines
        
MENU_TV_TYPE_ID = (* - MenuControl) / 6
        .byte %11100000     ; PF0
        .byte %11000000     ; PF1
        .byte %00000000     ; PF2
        .byte 0             ; ball X location
        .byte 8             ; rows
        .byte MM_START_GAP  ; extra scanlines
        
MENU_START_ID = (* - MenuControl) / 6
        .byte %00000000     ; PF0
        .byte %00000000     ; PF1
        .byte %00000000     ; PF2
        .byte 0             ; ball X location
        .byte 8             ; rows
        .byte MM_SCORE_GAP  ; extra scanlines
        
MENU_LAST_ID = (* - MenuControl) / 6
        .byte %00000000     ; PF0
        .byte %00000000     ; PF1
        .byte %00000000     ; PF2
        .byte 0             ; ball X location
        .byte 8             ; rows
        .byte MM_OPTION_GAP ; extra scanlines
        
MENU_HIGH_ID = (* - MenuControl) / 6
        .byte %00000000     ; PF0
        .byte %00000000     ; PF1
        .byte %00000000     ; PF2
        .byte 0             ; ball X location
        .byte 8             ; rows
        .byte MM_END        ; end of menu
        
TitlescreenColors:  ; start of color convert based on TV Type
MainMenuColors:
        ds 4 *2,  VIOLET + 2
        ds 4 *2,  PURPLE + 2
        ds 4 *2,  RED + 4
        ds 4 *2,  RED + 6
        ds 4 *2,  BROWN + 8
        ds 4 *2,  BROWN + 10
        ds 1 *2,  YELLOW + 12
        .byte GREEN + 8, YELLOW + 12
        .byte GREEN + 6, YELLOW + 12
        .byte GREEN + 4, YELLOW + 12
        .byte GREEN + 4, YELLOW + 14
        .byte GREEN + 8, YELLOW + 14
        .byte GREEN + 6, YELLOW + 14
        .byte GREEN + 4, YELLOW + 14
        .byte GREEN + 4, YELLOW + 14
        .byte GREEN + 8, YELLOW + 14
        ds 1 *2, GREEN + 6
        ds 2 *2, GREEN + 4        
        ds 1 *2, GREEN + 8
        ds 1 *2, GREEN + 6
        ds 2 *2, GREEN + 4
        ds 1 *2, GREEN + 8
        ds 1 *2, GREEN + 6
        ds 2 *2, GREEN + 4
        ds 1 *2, GREEN + 6
        ds 1 *2, GREEN + 4
        
        ; Quadrant
        .byte GREEN + 8, BLUE + 8
        .byte GREEN +10, BLUE +10
        .byte GREEN +12, BLUE +12
        .byte GREEN +14, BLUE +14
        .byte GREEN +14, BLUE +14
        .byte GREEN +12, BLUE +12
        .byte GREEN +10, BLUE +10
        .byte GREEN + 8, BLUE + 8

        ; Sector
        .byte GREEN + 8, BLUE + 8
        .byte GREEN +10, BLUE +10
        .byte GREEN +12, BLUE +12
        .byte GREEN +14, BLUE +14
        .byte GREEN +14, BLUE +14
        .byte GREEN +12, BLUE +12
        .byte GREEN +10, BLUE +10
        .byte GREEN + 8, BLUE + 8

        ; Level
        .byte GREEN + 8, BLUE + 8
        .byte GREEN +10, BLUE +10
        .byte GREEN +12, BLUE +12
        .byte GREEN +14, BLUE +14
        .byte GREEN +14, BLUE +14
        .byte GREEN +12, BLUE +12
        .byte GREEN +10, BLUE +10
        .byte GREEN + 8, BLUE + 8

        ; TV Type
        .byte GREEN + 8, BLUE + 8
        .byte GREEN +10, BLUE +10
        .byte GREEN +12, BLUE +12
        .byte GREEN +14, BLUE +14
        .byte GREEN +14, BLUE +14
        .byte GREEN +12, BLUE +12
        .byte GREEN +10, BLUE +10
        .byte GREEN + 8, BLUE + 8
        
        ; Start
MenuStartColor:        
        ; white for Start, Last and High filled in programatically
        ; .byte WHITE, WHITE
        ; .byte WHITE, WHITE
        ; .byte WHITE, WHITE
        ; .byte WHITE, WHITE
        ; .byte WHITE, WHITE
        ; .byte WHITE, WHITE
        ; .byte WHITE, WHITE
        ; .byte WHITE, WHITE
        ; .byte WHITE, WHITE
        ; .byte BLACK, BLACK        
TitlescreenColorsSize = * - TitlescreenColors


MainMenuGraphicsSize = * - MainMenuGraphicsROM             
        
OptionBeta:
        .byte %11100001
        .byte %11101110
        .byte %11101110
        .byte %11100001
        .byte %11101110
        .byte %11101110
        .byte %11101110
        .byte %11100001 
OptionDelta:
        .byte %11111011
        .byte %11111011
        .byte %11110101
        .byte %11110101
        .byte %11110101
        .byte %11101110
        .byte %11101110
;        .byte %11100000 overlap  
OptionGamma:
        .byte %11100000
        .byte %11101111
        .byte %11101111
        .byte %11101111
        .byte %11101111
        .byte %11101111
        .byte %11101111
        .byte %11101111 
                
OptionEasy:
        .byte %10001101,%11001010
        .byte %10111010,%10111010
        .byte %10111010,%10111010
        .byte %10011000,%11011101
        .byte %10111010,%11101101
        .byte %10111010,%11101101
        .byte %10111010,%11101101
        .byte %10001010,%10011101  
    
OptionNormal:        
        .byte %10011101,%10011010,%11011011
        .byte %10101010,%10101000,%10101011
        .byte %10101010,%10101010,%10101011
        .byte %10101010,%10011010,%10001011
        .byte %10101010,%10101010,%10101011
        .byte %10101010,%10101010,%10101011
        .byte %10101010,%10101010,%10101011
        .byte %10101101,%10101010,%10101000
        
                
OptionHard:
        .byte %10101101,%10011001
        .byte %10101010,%10101010
        .byte %10101010,%10101010
        .byte %10001000,%10011010
        .byte %10101010,%10101010
        .byte %10101010,%10101010
        .byte %10101010,%10101010
        .byte %10101010,%10101001
        
OptionPAL:
        .byte %11111001,%11011011
        .byte %11111010,%10101011
        .byte %11111010,%10101011
        .byte %11111001,%10001011
        .byte %11111011,%10101011
        .byte %11111011,%10101011
        .byte %11111011,%10101011
        .byte %11111011,%10101000
                
OptionSECAM:    
        .byte %01111100,%10001101,%11011010
        .byte %11111011,%10111010,%10101000
        .byte %11111011,%10111011,%10101010
        .byte %11111101,%10011011,%10001010
        .byte %11111110,%10111011,%10101010
        .byte %11111110,%10111011,%10101010
        .byte %11111110,%10111010,%10101010
        .byte %01111001,%10001101,%10101010               

; PFfontI:
        ; .byte %01001010 ; 0
        ; .byte %11101010 ; 1
        ; .byte %11101010 ; 2
        ; .byte %10101010 ; 3
        ; .byte %10001010 ; 4
        ; .byte %10001010 ; 5
        ; .byte %10001110 ; 6
        ; .byte %10101110 ; 7
        ; .byte %10101110 ; 8
        ; .byte %10101010 ; 9
        ; .byte %10101010 ; 10
        ; .byte %10101010 ; 11
        ; .byte %11101010 ; 12
        ; .byte %11101010 ; 13
        ; .byte %01101010 ; 14
; 
; PFfontJ:
        ; .byte %11100010 ; 0
        ; .byte %11100010 ; 1
        ; .byte %11100010 ; 2
        ; .byte %01000010 ; 3
        ; .byte %01000010 ; 4
        ; .byte %01000010 ; 5
        ; .byte %01000010 ; 6
        ; .byte %01000010 ; 7
        ; .byte %01001010 ; 8
        ; .byte %01001010 ; 9
        ; .byte %01001010 ; 10
        ; .byte %01001010 ; 11
        ; .byte %11101110 ; 12
        ; .byte %11101110 ; 13
        ; .byte %11100100 ; 14
; 
; PFfontK:
        ; .byte %10101000 ; 0
        ; .byte %10101000 ; 1
        ; .byte %10101000 ; 2
        ; .byte %10101000 ; 3
        ; .byte %10101000 ; 4
        ; .byte %11101000 ; 5
        ; .byte %11001000 ; 6
        ; .byte %11001000 ; 7
        ; .byte %11101000 ; 8
        ; .byte %10101000 ; 9
        ; .byte %10101000 ; 10
        ; .byte %10101010 ; 11
        ; .byte %10101110 ; 12
        ; .byte %10101110 ; 13
        ; .byte %10101110 ; 14
; 
; PFfontL:
        ; .byte %10101100 ; 0
        ; .byte %10101110 ; 1
        ; .byte %11101110 ; 2
        ; .byte %11101010 ; 3
        ; .byte %11101010 ; 4
        ; .byte %10101010 ; 5
        ; .byte %10101010 ; 6
        ; .byte %10101010 ; 7
        ; .byte %10101010 ; 8
        ; .byte %10101010 ; 9
        ; .byte %10101010 ; 10
        ; .byte %10101010 ; 11
        ; .byte %10101010 ; 12
        ; .byte %10101010 ; 13
        ; .byte %10101010 ; 14
        ; 
; PFfont2_A:
        ; .byte %01001100 ; 0
        ; .byte %11101110 ; 1
        ; .byte %11101110 ; 2
        ; .byte %10101010 ; 3
        ; .byte %10101010 ; 4
        ; .byte %10101010 ; 5
        ; .byte %10101110 ; 6
        ; .byte %10101110 ; 7
        ; .byte %10101100 ; 8
        ; .byte %10101000 ; 9
        ; .byte %10101000 ; 10
        ; .byte %10101000 ; 11
        ; .byte %11101000 ; 12
        ; .byte %11101000 ; 13
        ; .byte %01001000 ; 14
; 
; PFfont2_B:
        ; .byte %01000100 ; 0
        ; .byte %11101110 ; 1
        ; .byte %11101110 ; 2
        ; .byte %10101010 ; 3
        ; .byte %10101010 ; 4
        ; .byte %10101010 ; 5
        ; .byte %10101110 ; 6
        ; .byte %10101100 ; 7
        ; .byte %10101110 ; 8
        ; .byte %10101010 ; 9
        ; .byte %10101010 ; 10
        ; .byte %11001010 ; 11
        ; .byte %11101010 ; 12
        ; .byte %11101010 ; 13
        ; .byte %01101010 ; 14
; 
; PFfont2_C:
        ; .byte %01001110 ; 0
        ; .byte %11101110 ; 1
        ; .byte %11101110 ; 2
        ; .byte %10100100 ; 3
        ; .byte %10000100 ; 4
        ; .byte %10000100 ; 5
        ; .byte %11000100 ; 6
        ; .byte %11100100 ; 7
        ; .byte %01100100 ; 8
        ; .byte %00100100 ; 9
        ; .byte %00100100 ; 10
        ; .byte %10100100 ; 11
        ; .byte %11100100 ; 12
        ; .byte %11100100 ; 13
        ; .byte %01000100 ; 14
; 
; PFfont2_D:
        ; .byte %10101010 ; 0
        ; .byte %10101010 ; 1
        ; .byte %10101010 ; 2
        ; .byte %10101010 ; 3
        ; .byte %10101010 ; 4
        ; .byte %10101010 ; 5
        ; .byte %10101010 ; 6
        ; .byte %10101010 ; 7
        ; .byte %10101010 ; 8
        ; .byte %10101010 ; 9
        ; .byte %10101010 ; 10
        ; .byte %10101110 ; 11
        ; .byte %11100100 ; 12
        ; .byte %11100100 ; 13
        ; .byte %01100100 ; 14
; 
; PFfont2_E:
        ; .byte %10101010 ; 0
        ; .byte %10101010 ; 1
        ; .byte %10101010 ; 2
        ; .byte %10101010 ; 3
        ; .byte %10101010 ; 4
        ; .byte %10101110 ; 5
        ; .byte %10100100 ; 6
        ; .byte %10100100 ; 7
        ; .byte %10101110 ; 8
        ; .byte %10101010 ; 9
        ; .byte %11101010 ; 10
        ; .byte %11101010 ; 11
        ; .byte %11101010 ; 12
        ; .byte %10101010 ; 13
        ; .byte %10101010 ; 14
; 
; PFfont2_F:
        ; .byte %10101110 ; 0
        ; .byte %10101110 ; 1
        ; .byte %10101110 ; 2
        ; .byte %10101010 ; 3
        ; .byte %10100010 ; 4
        ; .byte %11100010 ; 5
        ; .byte %11100110 ; 6
        ; .byte %01000100 ; 7
        ; .byte %01001100 ; 8
        ; .byte %01001000 ; 9
        ; .byte %01001000 ; 10
        ; .byte %01001010 ; 11
        ; .byte %01001110 ; 12
        ; .byte %01001110 ; 13
        ; .byte %01001110 ; 14
; 
; PFfont2_G:
        ; .byte %10001010 ; 0
        ; .byte %10001010 ; 1
        ; .byte %10001010 ; 2
        ; .byte %10001010 ; 3
        ; .byte %10001010 ; 4
        ; .byte %10001010 ; 5
        ; .byte %10001010 ; 6
        ; .byte %10001010 ; 7
        ; .byte %10001010 ; 8
        ; .byte %10001010 ; 9
        ; .byte %00000000 ; 10
        ; .byte %00000000 ; 11
        ; .byte %10001010 ; 12
        ; .byte %10001010 ; 13
        ; .byte %10001010 ; 14
; 
; PFfont2_H:
        ; .byte %00000000 ; 0
        ; .byte %00000000 ; 1
        ; .byte %00000000 ; 2
        ; .byte %00000000 ; 3
        ; .byte %00000000 ; 4
        ; .byte %00000000 ; 5
        ; .byte %00000000 ; 6
        ; .byte %00000000 ; 7
        ; .byte %00000000 ; 8
        ; .byte %00000000 ; 9
        ; .byte %00000000 ; 10
        ; .byte %00000000 ; 11
        ; .byte %10001010 ; 12
        ; .byte %10001010 ; 13
        ; .byte %10001010 ; 14
; 
; PFfont2_I:
        ; .byte %01000010 ; 0
        ; .byte %11100010 ; 1
        ; .byte %11100010 ; 2
        ; .byte %10100010 ; 3
        ; .byte %00100010 ; 4
        ; .byte %00100100 ; 5
        ; .byte %01100100 ; 6
        ; .byte %01000100 ; 7
        ; .byte %01000100 ; 8
        ; .byte %01000100 ; 9
        ; .byte %00001000 ; 10
        ; .byte %00001000 ; 11
        ; .byte %01001000 ; 12
        ; .byte %01001000 ; 13
        ; .byte %01001000 ; 14
; 
; PFfont2_J:
        ; .byte %00001000 ; 0
        ; .byte %00001101 ; 1
        ; .byte %00001101 ; 2
        ; .byte %00001111 ; 3
        ; .byte %00001111 ; 4
        ; .byte %00001010 ; 5
        ; .byte %00001010 ; 6
        ; .byte %00001010 ; 7
        ; .byte %00001010 ; 8
        ; .byte %00001010 ; 9
        ; .byte %00001010 ; 10
        ; .byte %00001010 ; 11
        ; .byte %11101000 ; 12
        ; .byte %11101000 ; 13
        ; .byte %11101000 ; 14
; 
; PFfont2_K:
        ; .byte %10100101 ; 0
        ; .byte %10100101 ; 1
        ; .byte %10100101 ; 2
        ; .byte %10110101 ; 3
        ; .byte %10110101 ; 4
        ; .byte %10110101 ; 5
        ; .byte %10110101 ; 6
        ; .byte %10111101 ; 7
        ; .byte %10101101 ; 8
        ; .byte %10101101 ; 9
        ; .byte %10101101 ; 10
        ; .byte %10101101 ; 11
        ; .byte %10100101 ; 12
        ; .byte %10100101 ; 13
        ; .byte %10100101 ; 14
; 
; PFfont2_L:
        ; .byte %00010000 ; 0
        ; .byte %00010000 ; 1
        ; .byte %01010000 ; 2
        ; .byte %01010000 ; 3
        ; .byte %01010000 ; 4
        ; .byte %01010000 ; 5
        ; .byte %01010000 ; 6
        ; .byte %01010000 ; 7
        ; .byte %01010000 ; 8
        ; .byte %11110000 ; 9
        ; .byte %10110000 ; 10
        ; .byte %10110000 ; 11
        ; .byte %10110000 ; 12
        ; .byte %00010000 ; 13
        ; .byte %00010000 ; 14
        
        
        ; next 3 lines are part of ObjectColorsNTSC, used for radar display
        .byte $18       ; player1, formation color
        .byte SCORE_COLOR ; playfield, score color
        .byte $48       ; player0, enemy color 
        .byte $C8       ; player1, station color
ObjectColorsNTSC:   
        .byte $28       ; 0  asteroid - orange
        .byte $88       ; 1  mine - blue
        .byte $0c       ; 2  ship - white, subtract 2 due to lumaboost
        .byte $48 ; $38 ; 3  etype - reddish orange
        .byte $58       ; 4  itype - pink
        .byte $ac ; $b8 ; 5  ptype - cyan
        .byte $18       ; 6  spy - yellow
        .byte $c8       ; 7  station -green
        .byte $c4       ; 8  condition green
        .byte $1A       ; 9  condition yellow
        .byte $44       ; 10 condition red    
        .byte $96 ; $88 ; 11 etype lead - blue 
        .byte $38       ; 12 itype lead - orange 
        .byte $58       ; 13 ptype lead - pink
        .byte $48       ; 14 radar enemy / explosion player (first frame, not used)
        .byte $4A       ; 15 explosion player (first frame)
        .byte $1c       ; 16 explosion player (second frame)
        .byte $06       ; 17 explosion player (second frame)
        .byte $1c       ; 18 explosion player (third frame)
        .byte $44       ; 19 explosion player (third frame)
        .byte $1c       ; 20 explosion player (fourth frame)
        .byte $44       ; 21 explosion player (fourth frame)
        .byte $0c       ; 22 explosion mine (first frame)
        .byte $4c       ; 23 explosion mine (first frame)
        .byte $48       ; 24 explosion mine (second frame)
        .byte $58       ; 25 explosion mine (second frame)
        .byte $8A       ; 26 explosion mine (third frame)
        .byte $98       ; 27 explosion mine (third frame)  
        .byte $48       ; 28 explosion station (first frame)
        .byte $4c       ; 29 explosion station (first frame)
        .byte $3a       ; 30 explosion station (second frame)
        .byte $3c       ; 31 explosion station (second frame)
        .byte $1c       ; 32 explosion station (third frame)
        .byte $0c       ; 33 explosion station (third frame) 
        .byte $0C       ; 34 explosion enemy ship (first frame)
        .byte $46       ; 35 explosion enemy ship (first frame)
        .byte $0C       ; 36 explosion enemy ship (second frame)
        .byte $46       ; 37 explosion enemy ship (second frame)
        .byte $0C       ; 38 explosion enemy ship (third frame)
        .byte $46       ; 39 explosion enemy ship (third frame)        
        .byte $08       ; 40 explosion asteroid pod (first frame)
        .byte $2c       ; 41 explosion asteroid pod (first frame)
        .byte $08       ; 42 explosion asteroid pod (second frame)
        .byte $2c       ; 43 explosion asteroid pod (second frame)
        .byte $08       ; 44 explosion asteroid pod (third frame)
        .byte $2c       ; 45 explosion asteroid pod (third frame)
        .byte $46       ; 46 core color red
        .byte $58       ; 47 core color pink
        .byte $4E       ; 48 core color orange
        .byte $5A       ; 49 core color white
ObjectColorSize = * - ObjectColorsNTSC     
